haddock

Portability | portable
Stability | experimental
Maintainer | haddock@projects.haskell.org
Safe Haskell | Safe-Infered

Haddock.Interface.Create

Description

Synopsis

- createInterface :: TypecheckedModule -> [Flag] -> IfaceMap -> InstIfaceMap -> ErrMsgGhc Interface

# Documentation

createInterface :: TypecheckedModule -> [Flag] -> IfaceMap -> InstIfaceMap -> ErrMsgGhc Interface

Use a `TypecheckedModule` to produce an `Interface`. To do this, we need access to already processed modules in the topological sort. That's what's in the `IfaceMap`.